import request from '@/config/axios'

export interface OpcUaDeviceVO {
  id: string
  serverName: string
  endpointUrl: string
  securityPolicy: string
  securityMode: string
  connectionType: string
  userName: string
  password: string
  certificatePath: string
  connectInactivityTimeout: number
  reconnectInterval: number
}

export interface OpcUaDevicePageReqVO extends PageParam {
  serverName?: string
}

// 查询OpcUaDevice列表
export const getOpcUaDevicePage = (params: OpcUaDevicePageReqVO) => {
  return request.get({ url: '/data/channel/opcua/device/page', params })
}

// 查询OpcUaDevice详情
export const getOpcUaDevice = (id: number) => {
  return request.get({ url: `/data/channel/opcua/device/info/${id}`})
}

// 新增OpcUaDevice
export const createOpcUaDevice = (data: OpcUaDeviceVO) => {
  return request.post({ url: '/data/channel/opcua/device/add', data })
}

// 修改OpcUaDevice
export const updateOpcUaDevice = (data: OpcUaDeviceVO) => {
  return request.put({ url: '/data/channel/opcua/device/update', data })
}

// 删除OpcUaDevice
export const deleteOpcUaDevice = (id: number) => {
  return request.delete({ url: '/data/channel/opcua/device/delete?id=' + id })
}
